## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} gauss_newton (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-11-01

function retval = gauss_newton (c0, tol)
  c = c0;
  seguir = true;
  iter = 0;
  while (seguir && iter < 500)
    A = jacobiano(c);
    b = - residuo(c);
    d = resolver_pmcl(A,b);
    c = c + d;
    if (norm(d) < tol)
      seguir = false;
    endif
    iter = iter + 1;
  endwhile
  retval = c;
endfunction
